Subject: bug#33422: closed (Re: bug#33422: /etc/passwd on GuixSD can end up containing default home directories)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 18 Nov 2018 22:44:02 +0000

Your bug report

#33422: /etc/passwd on GuixSD can end up containing default home directories

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33422: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33422
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33422: /etc/passwd on GuixSD can end up containing default home directories
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Sun, 18 Nov 2018 23:43:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

[email-masked] (Ludovic Courtès) skribis:

> On IRC, fps reported this issue: their user account was declared like
> this:
>
> 26   (users (cons (user-account                              
> 27                 (name "fps")                              
> 28                 (comment "fps")                           
> 29                 (group "users")                           
> 30                 (supplementary-groups '("wheel" "netdev"  
> 31                                         "audio" "video")) 
> 32                 (home-directory "/home/bob"))    ;<--- notice “bob”!
>
> … yet /etc/passwd would refer to /home/fps for user “fps” (this is on a
> fresh GuixSD 0.15.0 install.)

Fixed in b297934437932de730432629b361fcb422accbb7.

Ludo'.

Subject: /etc/passwd on GuixSD can end up containing default home directories
From: [email-masked] (Ludovic Courtès)
To: Bug Guix <[email-masked]>
Date: Sun, 18 Nov 2018 23:05:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

On IRC, fps reported this issue: their user account was declared like
this:

26   (users (cons (user-account                              
27                 (name "fps")                              
28                 (comment "fps")                           
29                 (group "users")                           
30                 (supplementary-groups '("wheel" "netdev"  
31                                         "audio" "video")) 
32                 (home-directory "/home/bob"))    ;<--- notice “bob”!

… yet /etc/passwd would refer to /home/fps for user “fps” (this is on a
fresh GuixSD 0.15.0 install.)

This in turn would prevent logging in as “fps” because /home/fps didn’t
exist (meaning the ‘user-homes’ Shepherd service created /home/bob, not
/home/fps.)

Ludo’.